Page MenuHomePhabricator

Publicize Tabular data to Wikimedia communities
Closed, ResolvedPublic

Description

Tabular Data is now available on Wikimedia project. As part of the Q2 goals we want to announce its availability to use in projects.

The plan:

  • @Yurik will write up a technical description of the feature for the discovery-l, wikitech-l and maps-l mailing list
  • @CKoerner_WMF will draft a blog post and work with the team and Comms for publishing

Points to cover:

If the response is strong we might even write up a Village Pump (Technical where available) post to share.

The related Maps Data functionality will be mentioned, but highlighted in a future communication.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 16 2016, 10:12 PM
Qgil added a subscriber: Qgil.

We are wrapping up this quarter (there are barely five working days left). It is a very interesting task for the next quarter.

debt added a comment.EditedDec 21 2016, 4:16 PM

There has been a announcement about map and tabular data by Susanna on Facebook on Dec 20, 2016: https://www.facebook.com/groups/wikimaps/permalink/703328963152545/

One of the concerns raised there is the limit of 2MB for data - that limitation probably needs to be part of the 'official' announcement (T153878), as well as the fact that the data is required to be CC0.

CKoerner_WMF updated the task description. (Show Details)Dec 21 2016, 7:11 PM
debt moved this task from Backlog to In progress on the Maps-Sprint board.
K4-713 added a subscriber: K4-713.Dec 22 2016, 10:26 PM

I suspect very strongly that the plan was not followed for the email announcement that went out today. What happened?

@K4-713, per the task description, the plan was followed, but I regrettably forgot to stop calling it "structured data" in my communication, and I apologize for that.

@Yurik has shared this with the announcement with the mailing lists: https://lists.wikimedia.org/pipermail/wikitech-l/2016-December/087313.html

Chris, I have updated a number of my demos in that mailing list - lets use them, instead of the ones you have above in the description. Thanks!

debt moved this task from In progress to Done on the Maps-Sprint board.Jan 3 2017, 8:59 PM

Moving this to done, as I think everything has been accomplished.

Yurik added a comment.Jan 3 2017, 9:01 PM

I feel we only announced it to enwiki,ruwiki,and commons. Communities such as Wikivoyage and many other languages wouldn't have heard about it. How can we approach them?

debt added a comment.Jan 3 2017, 9:49 PM

It did go out to wikitech-l, @Yurik. Were you thinking of another email listing we should send the message to?

Yurik added a comment.Jan 3 2017, 10:48 PM

Not the listing, I think at some point we may want to publish it on the tech portals.

@CKoerner_WMF will draft a blog post and work with the team and Comms for publishing

Here's a first draft to review. Please provide feedback and we can reach out to Comms after (during?) All-hands to get their recommendations.

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Tabular_data

Johan added a subscriber: Johan.Jan 5 2017, 10:52 PM

It's been included in the current Tech News draft.

Yurik added a comment.Jan 5 2017, 10:58 PM

@Johan, could you link to it, so we can possibly correct things, and/or add images or even include graphs (on wikis that have them)

Johan added a comment.Jan 5 2017, 11:01 PM

It's two sentences and was mainly written by @CKoerner_WMF (though edited by me), so shouldn't be too much room for mistakes. (: Basically it's just, as is normal for Tech News, "this thing exists" with a link to your email to wikitech-l.

https://meta.wikimedia.org/wiki/Tech/News/2017/02

debt moved this task from Done to In progress on the Maps-Sprint board.Jan 5 2017, 11:09 PM

moving this back to in progress, since it still *is* still in progress. :)

There are questions about whether we really want to announce this if we cannot support it for organisational reasons.

Deskana closed this task as Resolved.Jan 20 2017, 9:57 PM

There've already been announcements to mailing lists like wikitech-l and discovery, and @CKoerner_WMF and I think that is sufficient for this feature. We consider this resolved.

Qgil awarded a token.Jan 23 2017, 1:39 PM